package xyz.wbsite.module.conf.ent;

import xyz.wbsite.frame.base.BaseEntity;

/**
 * MAPPING - 映射
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-03-18
 */
public class Mapping extends BaseEntity {

    /**
     * NAME - 名称
     */
    private String name;
    /**
     * PORT - 端口
     */
    private String port;
    /**
     * PATH - 路径
     */
    private String path;
    /**
     * TYPE - 类型
     */
    private String type;
    /**
     * LOCATION - 代理地址
     */
    private String location;
    /**
     * NOTE - 备注
     */
    private String note;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPort() {
        return this.port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getPath() {
        return this.path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLocation() {
        return this.location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getNote() {
        return this.note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}